@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.home-carousel-mobile {
  height: fit-content;
  width: 100vw;
  padding-bottom: 0;
  display: none;
  position: relative;

  > div {
    > div {
      max-width: unset !important;
    }
  }

  @include mobile {
    display: block;
  }

  @include tablet-p {
    display: block;
  }

  .mg-first-fold-header {
    margin: 0px 0 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: scale(0.8);
  }

  .slider-wrapper {
    margin-bottom: 50px;
  }

  .carousel-text-mobile {
    position: relative;
    width: 100%;
    padding: 33px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: $cream-40;

    @include tablet-p {
      padding: 50px;
    }

    .carousel-heading-mobile {
      font-family: 'Editorial New';
      font-weight: 200;
      font-size: 40px;
      letter-spacing: 0.01em;
      text-transform: uppercase;
      color: #262e2f;
      width: fit-content;
      position: relative;
      &::before {
        position: absolute;
        left: -44px;
        content: 'The';
        font-family: 'Notera';
        text-transform: capitalize;
        font-weight: 400;
        font-size: 28px;
        color: $brown-70;

        @include tablet {
          font-size: 36px;
          bottom: 30px;
          left: -54px;
        }
      }
      @include heading-font;
    }
    .carousel-btns-mobile {
      width: 100%;
      display: flex;
      justify-content: center;
      > div {
        > svg {
          width: 30px;
          height: 30px;
        }
        cursor: pointer;
        margin: 0 20px;
      }
      padding-bottom: 26px;
      padding-top: 15px;
    }
  }
  .carousel-img-mobile {
    position: relative;
    width: 100%;
    height: 239px;

    @include tablet-p {
      height: 450px;
    }

    img {
      width: 100%;
      height: 100%;
      position: absolute;
      left: 0;
      top: 0;
      object-fit: cover;
    }
  }

  .carousel .control-dots {
    background: $cream-40;

    .dot {
      opacity: 1;
      box-shadow: none;
      background: none;
      border: 1px solid black;
      border-radius: 50%;
      width: 8px;
      height: 8px;

      &.selected {
        background: black;
      }
    }
  }

  .carousel-subtext-mobile {
    font-size: 14px;
    line-height: 170%;
    letter-spacing: -0.01em;
    color: rgba(38, 46, 47, 0.7);
    padding: 50px 10px;
    display: -webkit-box;
    -webkit-line-clamp: 6;
    -webkit-box-orient: vertical;
    overflow: hidden;
    background: $cream-40;
    text-align: center;
    width: 100%;

    @include mobile {
      padding: 30px 10px;
      padding: 5dvh 10px;
    }
    @media (max-width: 350px) {
      min-height: 400px;
    }

    @include tablet {
      font-size: 18px;
      min-height: 200px;
      @media (max-width: 800px) {
        min-height: unset;
        padding: 30px 10px;
      }
    }
    @include mobile {
      min-height: 190px;
    }
    @include subheading-font;
  }

  .discover-btn-mobile {
    display: flex;
    background: none;
    border: none;
    cursor: pointer;
    width: 100px;
    position: relative;
    top: -2px;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 20px auto;

    @include mobile {
      margin: 0 auto;
    }

    img {
      width: 100%;
    }

    @keyframes rotate {
      from {
        transform: rotate(0deg);
      }
      to {
        transform: rotate(360deg);
      }
    }

    &:hover {
      .img-style {
        animation: rotate 2s;
      }
    }

    .img-style-arrow {
      position: absolute;
      width: 30px;
    }

    @include mobile {
      width: 90px;
      margin-top: 20px;
      margin-bottom: 40px;
    }
    @include tablet {
      margin: 80px auto;
      width: 120px;
      @media (max-width: 800px) {
        margin: 0 auto;
      }
    }
  }

  .slider-item {
    width: 100%;
    height: 100vh;
    position: relative;
    background: $cream-40;
    border: 10px solid;
  }
}

.discoverBtnMobile-rotateMe {
  @keyframes rotate {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }

  .img-style {
    animation: rotate 3s;
  }
}
